﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Word;

namespace InfragisticsWord1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // Create a new instance of the WordDocumentWriter class using the
            // static 'Create' method.
            // This instance must be closed once content is written into Word.
            WordDocumentWriter docWriter = WordDocumentWriter.Create(@"C:\TestWordDoc.docx");
            docWriter.Unit = UnitOfMeasurement.Inch;
            Font fontBleu30 = docWriter.CreateFont();
            fontBleu30.Name = "Arial";
            docWriter.StartDocument();

            // Create border properties for Table
            TableBorderProperties borderProps = docWriter.CreateTableBorderProperties();
            borderProps.Color = Colors.DarkRed;
            borderProps.Style = TableBorderStyle.Dashed;
            // Create table properties
            TableProperties tableProps = docWriter.CreateTableProperties();
            tableProps.Alignment = ParagraphAlignment.Center;
            tableProps.BorderProperties.Color = borderProps.Color;
            tableProps.BorderProperties.Style = borderProps.Style;
            // Create table row properties
            TableRowProperties rowProps = docWriter.CreateTableRowProperties();
            //Make the row a Header
            rowProps.IsHeaderRow = true;
            rowProps.HeightRule = RowHeightRule.Exact;
            rowProps.Height = 0.2f;
            // Create table cell properties
            TableCellProperties cellProps = docWriter.CreateTableCellProperties();
            cellProps.BackColor = Colors.DarkGray;
            cellProps.TextDirection = TableCellTextDirection.LeftToRightTopToBottom;
            cellProps.BorderProperties.Color = Colors.Green;
            cellProps.BorderProperties.Style = TableBorderStyle.Single;

            // Begin a table with 2 columns, and apply the table properties
            docWriter.StartTable(2, tableProps);
            // Begin a Row and apply table row properties
            // This row will be set as the Header row by the row properties
            // HEADER ROW
            docWriter.StartTableRow(rowProps);
            // Cell Value for 1st row 1st column
            // Start a Paragraph and add a text run to the cell
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col1", fontBleu30);
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell value for 1st row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Header Row1 Col2", fontBleu30);
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // End the Table Row
            docWriter.EndTableRow();

            // Reset the cell properties, so that the
            // cell properties are different from the header cells.
            cellProps.Reset();
            cellProps.BackColor = Colors.AliceBlue;

            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 2nd row 1st column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("A paragraph is a series of sentences that are organized and coherent, and are all related to a single topic. ");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 2nd row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row2 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            // DATA ROW
            docWriter.StartTableRow();
            // Cell Value for 3rd row 1st column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col1");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            // Cell Value for 3rd row 2nd column
            docWriter.StartTableCell(cellProps);
            docWriter.StartParagraph();
            docWriter.AddTextRun("Row3 Col2");
            docWriter.EndParagraph();
            docWriter.EndTableCell();
            docWriter.EndTableRow();
            docWriter.EndTable();
            docWriter.EndDocument();
            // Close the WordDocumentWriter instance.
            docWriter.Close();
        }
    }
}
